package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabCheckMachineMsg;
import com.zd.laboratory.domain.vo.LabCheckMachineMsgVo;

/**
 * 一体机安全检查通知消息Mapper接口
 *
 * @author liubo
 * @date 2022-01-04
 */
public interface LabCheckMachineMsgMapper {
    /**
     * 查询一体机安全检查通知消息
     *
     * @param id 一体机安全检查通知消息主键
     * @return 一体机安全检查通知消息
     */
    public LabCheckMachineMsg selectLabCheckMachineMsgById(Long id);

    /**
     * 查询一体机安全检查通知消息列表
     *
     * @param labCheckMachineMsg 一体机安全检查通知消息
     * @return 一体机安全检查通知消息集合
     */
    public List<LabCheckMachineMsg> selectLabCheckMachineMsgList(LabCheckMachineMsg labCheckMachineMsg);

    /**
     * 新增一体机安全检查通知消息
     *
     * @param labCheckMachineMsg 一体机安全检查通知消息
     * @return 结果
     */
    public int insertLabCheckMachineMsg(LabCheckMachineMsg labCheckMachineMsg);

    /**
     * 修改一体机安全检查通知消息
     *
     * @param labCheckMachineMsg 一体机安全检查通知消息
     * @return 结果
     */
    public int updateLabCheckMachineMsg(LabCheckMachineMsg labCheckMachineMsg);

    /**
     * 删除一体机安全检查通知消息
     *
     * @param id 一体机安全检查通知消息主键
     * @return 结果
     */
    public int deleteLabCheckMachineMsgById(Long id);

    /**
     * 批量删除一体机安全检查通知消息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabCheckMachineMsgByIds(Long[] ids);

    void updateByCheckRecordId(Long checkRecordId);

    List<LabCheckMachineMsgVo> selectCheckMsgBySubId(LabCheckMachineMsg labCheckMachineMsg);
}
